﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:d="http://xamarin.com/schemas/2014/forms/design"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:pi="clr-namespace:TD.Api.Dtos"
             xmlns:vm="clr-namespace:FourPlaces.ViewModels"
             mc:Ignorable="d"
             x:Class="FourPlaces.Views.ListeLieuxPage">

    <StackLayout>
        <Button Text="Voir mon profil"
                Command="{Binding GoToProfilePageCommand}"/>
        <ListView HasUnevenRows="True" 
                  ItemsSource="{Binding Lieux}"
                  SelectedItem="{Binding SelectedPlaceItem}">
            <ListView.ItemTemplate>
                <DataTemplate x:DataType="pi:PlaceItem">
                    <ViewCell>
                        <Frame CornerRadius="4"
                               HasShadow="True"
                               Margin="4,4,4,4"
                               Padding="8,4,8,4"
                               HorizontalOptions="FillAndExpand"
                               VerticalOptions="Start"
                               >
                            <StackLayout HorizontalOptions="FillAndExpand"
                                         VerticalOptions="Start"
                                         Orientation="Horizontal">
                                <StackLayout Orientation="Vertical"
                                             Grid.Column="0"
                                             HorizontalOptions="FillAndExpand"
                                             VerticalOptions="Center">

                                    <Label Text="{Binding Title}"/>

                                    <Image Source="{Binding ImageId, StringFormat='https://td-api.julienmialon.com/images/{0:F0}'}"/>
                                </StackLayout>
                            </StackLayout>
                        </Frame>
                    </ViewCell>
                </DataTemplate>
            </ListView.ItemTemplate>
        </ListView>

        <Button Text="Ajouter"
                Command="{Binding GoToAddPlacePageCommand}"/>

    </StackLayout>

</ContentPage>
